Здесь лежит исходный код для страниц с изображениями 
[cmd.inp.nsk.su/~compton/pictures](https://cmd.inp.nsk.su/~compton/pictures/)

* `index.php` — стартовая страница
* `init.php` — страница с детальной (интерактивной) информацией о конкретной энергетической точке
* `summary.php` — страница с информацией в целом о сезоне
* `commonfoos.php` — набор используемых php-функций, который подгружается на других страницах
* `main.css` — стили css для сайта


### Развёртывание раздела pictures
1. получить данные из этого репозитория 
```bash
mkdir pictures
cd pictures
git init 
git remote add -f origin <this-repo-link>
git sparse-checkout set "src/page"
git pull origin master
```
2. прописать в корневом `.htaccess` проксирование: **pictures/\*** → **pictures/src/page/\***
3. в папку **src/page** добавить конфигурационный файл `config.ini` с таким содержанием (`apitoken` можно получить в настройках профиля в gogs)
```ini
[gogs]
apitoken = "xxxxxx"
```
4. скачать [plotly-latest.min.js](https://cdn.plot.ly/plotly-latest.min.js) и [fmin.min.js](https://github.com/benfred/fmin)
и положить в папку **src/page**


#### Полезные ссылки по отображению графиков в js
* [4 Ways to Improve Your Plotly Graphs (towardsdatascience)](https://towardsdatascience.com/4-ways-to-improve-your-plotly-graphs-517c75947f7)
* [Chartjs and Csv (createwithdata)](https://www.createwithdata.com/chartjs-and-csv/)