<?php
$host = "https://cmd.inp.nsk.su/~compton/gogs";
$owner = "compton";
$repo = "tables";


function get_request($link)
{
    // Common get request with json decoder

    $json = file_get_contents($link);
    return json_decode($json);
}

function get_folder_data($host, $owner, $repo, $path, $token)
{
    // Gets folder content info

    $obj = get_request("{$host}/api/v1/repos/{$owner}/{$repo}/contents/{$path}?token={$token}");
    return $obj;
}

function get_seasons($host, $owner, $repo, $path, $token)
{
    // Returns all info about available seasons

    $obj = get_folder_data($host, $owner, $repo, $path, $token);
    $dir_obj = array_filter($obj, function ($var) {
        return ($var->type == "dir");
    });
    return $dir_obj;
}

function available_seasons($host, $owner, $repo, $path, $token)
{
    // Returns sorted array of available season names

    $season_obj = get_seasons($host, $owner, $repo, $path, $token);
    foreach ($season_obj as &$s) {
        $s = $s->name;
    }
    usort($season_obj, function ($a, $b) {
        return substr($a, -4, 4) > substr($b, -4, 4);
    });
    return $season_obj;
}

function season_table_url($host, $owner, $repo, $path, $token, $season)
{
    // Returns URL of the season table

    $obj = get_folder_data($host, $owner, $repo, $path, $token);
    $ret_obj = array_filter($obj, function ($var) use ($season) {
        return ($var->type == "file") && (substr($var->name, 0, strlen($season)) == $season);
    });

    $file = current($ret_obj);
    $download_url_fix = substr($file->download_url, 0, -strlen($file->name)) . $path . "/" . ($file->name);
    return $download_url_fix;
}

function energy_point_urls($host, $owner, $repo, $path, $token)
{
    // Returns an Array of energy points in $path with "name" keys and "download_url" values

    $obj = get_folder_data($host, $owner, $repo, $path, $token);
    $obj = array_filter($obj, function ($var) {
        return ($var->type == "file") && (substr($var->name, -4, 4) == ".csv");
    });

    $ret_arr = array();
    foreach ($obj as $file) {
        $download_url_fix = substr($file->download_url, 0, -strlen($file->name)) . $path . "/" . ($file->name);
        $ret_arr[$file->name] = $download_url_fix;
    }
    // print_r($ret_arr);
    return $ret_arr;
}

function isSelected($a, $b)
{
    // Utility comparator function for selection lists

    if ($a == $b) {
        return "selected";
    }
    return "";
}
