# A script that filters compton measurements from slowdb and fills up calibration db
# Also, this script averages compton measurements by energy points.

HOMEDIR=/home/compton
VENV=$HOMEDIR/workspace/py3.slcmd.compton_runs/bin/activate
SOURCE_FOLDER=$HOMEDIR/workspace/work_repos/sources
TABLES_FOLDER=$HOMEDIR/workspace/work_repos/tables
SOURCE_BRANCH=master
TABLES_BRANCH=online

SEASON=PHI2024
SLOWDB_TABLE=cmd3_2024_1
COMPTON_FILTER=$SOURCE_FOLDER/src/avg/compton_filter.py
COMPTON_COMBINER=$SOURCE_FOLDER/src/avg/compton_combiner.py

# Sync repositories
git -C $SOURCE_FOLDER checkout $SOURCE_BRANCH
git -C $SOURCE_FOLDER pull origin $SOURCE_BRANCH

git -C $TABLES_FOLDER checkout $SOURCE_BRANCH
git -C $TABLES_FOLDER pull origin $SOURCE_BRANCH

# Update averaging
source $VENV
python $COMPTON_FILTER --season $SLOWDB_TABLE --config database.ini --update
mkdir -p $TABLES_FOLDER/energy_points/$SEASON
python $COMPTON_COMBINER -s $SEASON -c database.ini --csv_dir $TABLES_FOLDER --clbrdb --only_last --energy_point_csv_folder $TABLES_FOLDER/energy_points/$SEASON

# Push changes
cd $TABLES_FOLDER
git add ./*.csv
git add ./*/*.csv
git commit -m "Auto update $(date +%Y/%m/%d\ %T)"
git push origin $TABLES_BRANCH
cd $HOMEDIR

deactivate
